import 'reflect-metadata';

/**
 * Declare this plugin as one that the user can configure.
 * @param defconf Default configuration
 */
export function Configurable(defconf: any) {
  return (constructor: any): void => {
    Reflect.defineMetadata('sb:defconf', defconf, constructor);
  };
}
