import 'reflect-metadata';

/**
 * Declare this plugin as one that utilises services.
 * @param injectedService Service class, usually a Protocol
 */
export function InjectService(injectedService: any) {
  return (constructor: any): void => {
    Reflect.defineMetadata('sb:service', injectedService, constructor);
  };
}
