
/**
 * Squeebot environment configuration and paths.
 */
export interface IEnvironment {
  /**
   * Root path of the current environment.
   */
  path: string;
  /**
   * Plugins directory path.
   */
  pluginsPath: string;
  /**
   * Repositories directory path.
   */
  repositoryPath: string;
  /**
   * Configuration files directory path.
   */
  configurationPath: string;
  /**
   * Environment name.
   */
  environment: string;
}
